<?php

namespace FM\Service;

use FM\Factory\ParamLeitContPessoasFactory;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\NewCode;

class ParamLeitContPessoasService {

    protected $ParamLeitContPessoasFactory;
    protected $environment;
    protected $newCode;

    public function __construct (ParamLeitContPessoasFactory $ParamLeitContPessoasFactory, Environment $Environment, NewCode $newCode) {
        $this->ParamLeitContPessoasFactory = $ParamLeitContPessoasFactory;
        $this->environment = $Environment;
        $this->newCode = $newCode;
    }
    
    public function insertParamLeituras($params) {
        $params["NRPARAMLEITCONTPESSOAS"] = $this->newCode->getCodeByTableName('FCM_PARAMLEITCONTPESSOAS', $this->environment->getNrOrg(), 1, 10, true);
        $params["NRORG"] = $this->environment->getNrOrg();
        $message = $this->ParamLeitContPessoasFactory->insertParamLeituras($params);
        return $params["NRPARAMLEITCONTPESSOAS"];
    }
    
    public function getParamLeituras($params) {
        $paramLeituras = $this->ParamLeitContPessoasFactory->getParamLeituras($params);
        return $paramLeituras;
    }
    
    public function updateParamLeituras($params) {
        $message = $this->ParamLeitContPessoasFactory->updateParamLeituras($params);
        return $message;
    }
}

?>