/* eslint-disable no-console */
import { ZdComponentRender } from '@zeedhi/vuetify';
import { Component, Prop } from 'vue-property-decorator';
import { RatingsClass } from './commom/RatingsClass';

@Component
export default class ZdRatings extends ZdComponentRender {
  public instance!: RatingsClass;

  public instanceType: typeof RatingsClass = RatingsClass;

  public value!: number;

  @Prop({ type: Number, default: 5 }) public length!: number;

  @Prop() public size?: number;

  public setValue(value: any) {
    this.instance.value = value;
  }
}
